<template>
  <div>
    <el-tabs v-model="activeName" @tab-click="handleClick">
      <!-- <el-tab-pane label="废水" name="first">
        <waste-water></waste-water>
      </el-tab-pane>
      <el-tab-pane label="废气" name="second">
        <waste-water></waste-water>
      </el-tab-pane>
      <el-tab-pane label="固废" name="third">
        <solid-waste></solid-waste>
      </el-tab-pane>
      <el-tab-pane label="空气质量" name="fourth">
        <AirQuality></AirQuality>
      </el-tab-pane> -->
      <el-tab-pane v-for="(item,index) in topicList" :key="index" :label="item.name" :name="item.name"></el-tab-pane>
    </el-tabs>
    <div>
      <component :is="gcComp"></component>
    </div>
  </div>
</template>

<script>
import WasteWater from '@components/table/components/WasteWater'
import ReportTable from '../../../components/BaseNav/SoilGroundwater/ReportTable'

// import WasteGas from '@components/table/components/WasteGas'
import SolidWaste from '@components/table/components/WasteSolid'
import AirQuality from '@components/table/components/AirQuality'

import { TopicList } from '../../../conf/Topic'

export default {
  name: 'tabHandover',
  components: {
    WasteWater,
    // WasteGas,
    SolidWaste,
    AirQuality
  },
  data () {
    return {
      activeName: 'first',
      topicList: TopicList,
      gcComp: AirQuality
    }
  },
  methods: {
    handleClick (tab, event) {
      console.log(tab.label)
      switch (tab.label) {
        case '污染源':
          this.gcComp = AirQuality
          break
        case '废水':
          this.gcComp = WasteWater
          break
        case '废气':
          this.gcComp = WasteWater
          break
        case '固废':
          this.gcComp = SolidWaste
          break
        case '环境风险':
          this.gcComp = AirQuality
          break
        case '土壤及地下水':
          this.gcComp = ReportTable
          break
        case '管线':
          this.gcComp = AirQuality
          break
      }
    }
  }
}
</script>

<style scoped>

</style>
